//
// This file was generated by the Eclipse Implementation of JAXB, v3.0.0 
// See https://eclipse-ee4j.github.io/jaxb-ri 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.08.30 at 10:47:28 AM CEST 
//


package se.arbetsformedlingen.wsdl;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for SUNField3 complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SUNField3"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="SUNField3ID" type="{http://www.w3.org/2001/XMLSchema}int"/&gt;
 *         &lt;element name="SUNField3Code" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="Term" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="SUNField2ID" type="{http://www.w3.org/2001/XMLSchema}int"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SUNField3", namespace = "urn:ams.se:Taxonomy", propOrder = {
    "sunField3ID",
    "sunField3Code",
    "term",
    "sunField2ID"
})
public class SUNField3 {

    @XmlElement(name = "SUNField3ID")
    protected int sunField3ID;
    @XmlElement(name = "SUNField3Code")
    protected String sunField3Code;
    @XmlElement(name = "Term")
    protected String term;
    @XmlElement(name = "SUNField2ID")
    protected int sunField2ID;

    /**
     * Gets the value of the sunField3ID property.
     * 
     */
    public int getSUNField3ID() {
        return sunField3ID;
    }

    /**
     * Sets the value of the sunField3ID property.
     * 
     */
    public void setSUNField3ID(int value) {
        this.sunField3ID = value;
    }

    /**
     * Gets the value of the sunField3Code property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSUNField3Code() {
        return sunField3Code;
    }

    /**
     * Sets the value of the sunField3Code property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSUNField3Code(String value) {
        this.sunField3Code = value;
    }

    /**
     * Gets the value of the term property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getTerm() {
        return term;
    }

    /**
     * Sets the value of the term property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setTerm(String value) {
        this.term = value;
    }

    /**
     * Gets the value of the sunField2ID property.
     * 
     */
    public int getSUNField2ID() {
        return sunField2ID;
    }

    /**
     * Sets the value of the sunField2ID property.
     * 
     */
    public void setSUNField2ID(int value) {
        this.sunField2ID = value;
    }

}
